<!-- chat/templates/chat/room.html -->
{% load static %}
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8"/>
    <title>Chat Room</title>
</head>
<body>
    <textarea id="chat-log" cols="100" rows="20"></textarea><br/>
    <input id="chat-message-input" type="text" size="100"/><br/>
    <input id="chat-message-submit" type="button" value="Send"/>
</body>
<script src="{% static 'reconnecting-websocket.js' %}"></script>
<script>
    var roomName = {{ room_name_json }};

    var chatSocket =  new ReconnectingWebSocket(
        'ws://' + window.location.host +
        '/ws/core/' + roomName + '/');

    chatSocket.onmessage = function(e) {
        var data = JSON.parse(e.data);
        console.log(data)
        var placa = data['placa'];
        var img = data['img'];
        var moment = data['moment'];
        document.querySelector('#chat-log').value += (placa + '\n');
        document.querySelector('#chat-log').value += (img + '\n');
        document.querySelector('#chat-log').value += (moment + '\n');
    };

    chatSocket.onclose = function(e) {
        console.error('Chat socket closed unexpectedly');
    };

    document.querySelector('#chat-message-input').focus();
    document.querySelector('#chat-message-input').onkeyup = function(e) {
        if (e.keyCode === 13) {  // enter, return
            document.querySelector('#chat-message-submit').click();
        }
    };

    document.querySelector('#chat-message-submit').onclick = function(e) {
        var messageInputDom = document.querySelector('#chat-message-input');
        var message = messageInputDom.value;
        chatSocket.send(JSON.stringify({
            'message': message,
            'command': 'get_incoming',
        }));


        messageInputDom.value = '';
    };
</script>
</html>